#include <iocslib.h>
#include "defines.h"

void gettext0(sx,sy,ex,ey,work,plane)
int sx,sy,ex,ey,plane;
unchar *work;
{
unint c;
	c=curmode(0); /* カーソルＯＦＦ */
	
	*((short *)work)=(ex-sx+1)*8;
	*((short *)(work+2))=(ey-sy+1)*16;
	TCOLOR(plane);
	TEXTGET(sx*8,sy*16,work);
	TCOLOR(1); /* 必ずプレーン０に戻しておくこと */
	
	curmode(c); /* カーソルＯＮ */
}
